---
- hosts: all
  roles:
    - role: cimon-io.asdf
      asdf_user: "vagrant"
      asdf_plugins:
        - name: "ruby"
          versions: ["2.7.1"]
        - name: "nodejs"
          versions: ["14.17.0"]

  tasks:
    - name: install postgres dependencies
      become: true
      apt:
        update_cache: yes
        name:
          - libpq-dev
          - postgresql
          - postgresql-contrib

    - name: install common packages
      become: true
      apt:
        update_cache: yes
        name:
          - git
          - make
          - yarn
        state: latest

